CFILES=	fdata_ipaexg25.c fdata_ipaexg10.c
DATFILES= ipaexg10.dat ipaexg13.dat
EDATFILES= GenBkBasR10.dat GenBkBasR13.dat
UTILDIR= ../util

all:	$(CFILES) $(DATFILES)

clean:
	rm -f fdata*.c xstr*.h $(DATFILES)

fdata_ipaexg10.c: date_digit.def
	$(UTILDIR)/fontgen8 ipaexg 10 date_digit.def

fdata_ipaexg25.c: time_digit.def
	$(UTILDIR)/fontgen8 ipaexg 25 time_digit.def

GenBkBasR10.dat:	efont
	$(UTILDIR)/efont 10 GenBkBasR.ttf
	mv romedat10 GenBkBasR10.dat

GenBkBasR13.dat:	efont
	$(UTILDIR)/efont 13 GenBkBasR.ttf
	mv romedat13 GenBkBasR13.dat

ipaexg10.dat:	ipaexg.ttf
	$(UTILDIR)/romfont 10 ipaexg.ttf
	mv romdat10 ipaexg10.dat

ipaexg13.dat:	ipaexg.ttf
	$(UTILDIR)/romfont 13 ipaexg.ttf
	mv romdat13 ipaexg13.dat
